package com.zulutrade.sample.trading.client.trading.dtos;

import org.codehaus.jackson.annotate.JsonAutoDetect;
import org.codehaus.jackson.annotate.JsonIgnoreProperties;

@JsonAutoDetect
@JsonIgnoreProperties(ignoreUnknown = true)
public class OrderCanceledResponseMessage  {

	private boolean success;
	private String uniqueId;
	private String brokerTicket;
	private String dateCanceled;
	private Long canceledUtcTimestamp;
	private String currencyName;
	private boolean buy;
	private double lots;
	private double priceOpen;
	private String dateOpened;
	private Long openedUtcTimestamp;
	private int errorCode = 0;
	private String errorMessage;

	public boolean isSuccess(){
		return this.success;
	}
	
	public void setSuccess(boolean success){
		this.success = success;
	}
	
	public String getUniqueId() {
		return this.uniqueId;
	}
	public void setUniqueId(String uniqueId) {
		this.uniqueId = uniqueId;
	}
	public String getBrokerTicket() {
		return this.brokerTicket;
	}
	public void setBrokerTicket(String brokerTicket) {
		this.brokerTicket = brokerTicket;
	}
	public String getDateCanceled() {
		return this.dateCanceled;
	}
	public void setDateCanceled(String dateCanceled) {
		this.dateCanceled = dateCanceled;
	}
	
	public Long getCanceledUtcTimestamp() {
		return canceledUtcTimestamp;
	}

	public void setCanceledUtcTimestamp(Long canceledUtcTimestamp) {
		this.canceledUtcTimestamp = canceledUtcTimestamp;
	}

	public int getErrorCode(){
		return this.errorCode;
	}
	
	public void setErrorCode(int errorCode){
		this.errorCode = errorCode;
	}
	
	public String getErrorMessage(){
		return this.errorMessage;
	}
	public void setErrorMessage(String errorMessage){
		this.errorMessage = errorMessage;
	}

	public String getCurrencyName() {
		return currencyName;
	}

	public void setCurrencyName(String currencyName) {
		this.currencyName = currencyName;
	}

	public boolean isBuy() {
		return buy;
	}

	public void setBuy(boolean buy) {
		this.buy = buy;
	}

	public double getLots() {
		return lots;
	}

	public void setLots(double lots) {
		this.lots = lots;
	}

	public double getPriceOpen() {
		return priceOpen;
	}

	public void setPriceOpen(double priceOpen) {
		this.priceOpen = priceOpen;
	}

	public Long getOpenedUtcTimestamp() {
		return openedUtcTimestamp;
	}

	public void setOpenedUtcTimestamp(Long openedUtcTimestamp) {
		this.openedUtcTimestamp = openedUtcTimestamp;
	}

	public String getDateOpened() {
		return dateOpened;
	}

	public void setDateOpened(String dateOpened) {
		this.dateOpened = dateOpened;
	}
}
