package com.zulutrade.sample.trading.client.trading.dtos;

import org.codehaus.jackson.annotate.JsonAutoDetect;
import org.codehaus.jackson.annotate.JsonIgnoreProperties;

@JsonAutoDetect
@JsonIgnoreProperties(ignoreUnknown = true)
public class UpdateTrailingStopValueResponseMessage {

	private Boolean success;
	private String uniqueId;
	private String brokerTicket;
	private String providerTicket;
	private Integer newTrailingStopValue;
	private Double newStopValue;
	private Integer newTrailingStopConditionValue;
	private String valueType;
	private Integer errorCode;
	private String errorMessage;
	
	public UpdateTrailingStopValueResponseMessage(){}

	public Boolean getSuccess() {
		return success;
	}

	public void setSuccess(Boolean success) {
		this.success = success;
	}

	public String getUniqueId() {
		return uniqueId;
	}

	public void setUniqueId(String uniqueId) {
		this.uniqueId = uniqueId;
	}

	public String getBrokerTicket() {
		return brokerTicket;
	}

	public void setBrokerTicket(String brokerTicket) {
		this.brokerTicket = brokerTicket;
	}

	public String getProviderTicket() {
		return providerTicket;
	}

	public void setProviderTicket(String providerTicket) {
		this.providerTicket = providerTicket;
	}

	public Integer getNewTrailingStopValue() {
		return newTrailingStopValue;
	}

	public void setNewTrailingStopValue(Integer newTrailingStopValue) {
		this.newTrailingStopValue = newTrailingStopValue;
	}

	public Double getNewStopValue() {
		return newStopValue;
	}

	public void setNewStopValue(Double newStopValue) {
		this.newStopValue = newStopValue;
	}

	public Integer getNewTrailingStopConditionValue() {
		return newTrailingStopConditionValue;
	}

	public void setNewTrailingStopConditionValue(
			Integer newTrailingStopConditionValue) {
		this.newTrailingStopConditionValue = newTrailingStopConditionValue;
	}

	public String getValueType() {
		return valueType;
	}

	public void setValueType(String valueType) {
		this.valueType = valueType;
	}

	public Integer getErrorCode() {
		return errorCode;
	}

	public void setErrorCode(Integer errorCode) {
		this.errorCode = errorCode;
	}

	public String getErrorMessage() {
		return errorMessage;
	}

	public void setErrorMessage(String errorMessage) {
		this.errorMessage = errorMessage;
	}	
}
